﻿#vaulteron-modal-id {
	visibility: hidden;
	transition: visibility 0.5s ease-in-out;

	.vaulteron-backdrop {
		z-index: 10005;
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: black;
		opacity: 0;
		cursor: not-allowed;
		transition: opacity .5s ease-in-out;
	}

	&.visible {
		visibility: visible !important;

		.vaulteron-modal-container {
			right: 0;
		}

		.vaulteron-backdrop {
			opacity: .7;
		}
	}

	.vaulteron-modal-container {
		transition: right .5s ease-in-out;
		z-index: 10010;
		position: fixed;
		top: 0;
		right: -300px;
		bottom: 0;
		background-color: white;
		width: 300px;
		height: 100vh;
	}
}

#vaulteron-modal-id_content {
	transition: right .5s ease-in-out;
	z-index: 10010;
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	padding: 4em 1em;
	background-color: white;
	overflow-y: auto;

	#vaulteron-error-container {
		color: red;
	}

	.vaulteron-password-list {
		.vaulteron-password-list-root {
			background-color: rgba(0, 0, 0, 0.04);

			.vaulteron-password-list-item {
				display: flex;
				flex-direction: column;
				padding: 10px;
				cursor: pointer;

				&:hover {
					background: rgba(0, 0, 0, 0.20);
				}

				.vaulteron-password-list-item-name {
					font-size: 0.9em;
					font-weight: bold;
				}

				.vaulteron-password-list-item-login {
					color: #00000073;
					font-size: 0.7em;
				}
			}
		}
	}
}
